Summary:    MSVSphere configuration files
Name:       msvsphere-configs
Version:    0.3.5
Release:    1%{?dist}

License:    GPLv3+
URL:        http://msvsphere-os.ru
Source0:    https://git.inferitos.ru/msvsphere/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:  noarch

%description
Various system configurations for MSVSphere

%package common
Summary:    Configuration files for MSVSphere
Requires:   fontconfig-font-replacements
Requires:   fontconfig-enhanced-defaults
Requires:   google-roboto-condensed-fonts

%description common
This package contains common configuration files

%package gnome
Summary:    Configuration files for GNOME desktop
Requires:   glib2
Requires:   %{name}-common = %{version}-%{release}
Requires:   gnome-shell-extension-arcmenu
Requires:   gnome-shell-extension-dash-to-panel
Requires:   gnome-shell-extension-dash-to-dock
Requires:   gnome-shell-extension-appindicator
Requires:   gnome-shell-extension-desktop-icons-ng
Requires:   gnome-shell-extension-top-icons
Requires:   gnome-shell-extension-drive-menu
Requires:   gnome-shell-extension-notification-banner-reloaded
Requires:   gnome-shell-extension-no-overview
Requires:   kora-icon-theme

%description gnome
This package contains configuration files for GNOME

%prep
%autosetup -n %{name}

%build

%install
install -d %{buildroot}%{_datadir}/glib-2.0/schemas
install -m644 schemas-override/*.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/gnome-flavour-selector
install -m755 bin/* %{buildroot}%{_bindir}
install -m644 configs/extensions.json %{buildroot}%{_sysconfdir}/gnome-flavour-selector/

%post gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1


%files gnome
%doc README.md
%config(noreplace) %{_sysconfdir}/gnome-flavour-selector/extensions.json
%{_datadir}/glib-2.0/schemas/*.gschema.override

%files common
%{_bindir}/*
%doc README.md

%changelog
* Thu Sep 26 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.5-1
- Use Alt+Shift again

* Thu Sep 19 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.4-1
- Use only right Alt+Shift

* Tue Sep 17 2024 Eduard Basov <ebasov@msvsphere-os.ru> - 0.3.3-1
- Adding scaling x11 to default settings operation system

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.2-1
- Set default keybindings to switch layout in Wayland

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.1-1
- Rename sphere-add-flatpack-repos to sphere-add-flatpak-repos

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.0-2
- Use Wayland by default

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.0-1
- Added config for gnome-flavour-selector
- Added R: gnome-shell-extension-dash-to-dock

* Thu Aug 29 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.1-2
- Disable Wayland in gdm only after installation, not upgrade

* Mon Aug 26 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.1-1
- Fixed a discrepancy in the files

* Mon Jul 22 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-4
- Rename flatpak script

* Mon May 06 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-3
- INF-1272: set scaling-factor=1
- Disable background-logo@fedorahosted.org

* Sat Feb 17 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-2
- Added R: gnome-shell-extension-no-overview

* Mon Oct 30 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.2.0-1
- Enable mutter experimental feature scale-monitor-framebuffer

* Wed Sep 13 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.9-1.1
- Change urls from msvsphere.ru to msvsphere-os.ru

* Fri Sep  8 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.9-1
- Enable notification-banner-reloaded@marcinjakubowski.github.com extension

* Thu Sep  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.8-1
- Added scripts to configure wayland and flatpak

* Mon Sep  4 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.7-2
- Fix typo in schema

* Mon Sep  4 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.7-1
- Fix panel visibility
- Disable hot corner

* Fri Aug 18 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-4
- Set click-method=areas

* Mon Aug 14 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-3
- Remove xkb overrides

* Sat Jul 29 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-2
- Change R: to gnome-shell-extension-desktop-icons-ng

* Tue Jul 25 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-1
- Update to 0.1.6
- Enable ding@rastersoft.com
- Disable desktop-icons@gnome-shell-extensions.gcampax.github.com

* Sun Jul 16 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.5-1
- update to 0.1.5
- enable tap-to-click on touchpad

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.4-1
- update to 0.1.4
- set Source Code Pro 11 as monospace-font-name

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.3-1
- update to 0.1.3
- add chromium to favorites
- fix keyboard layout
- disable wayland by default

* Wed Jun 28 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.2-1
- update to 0.1.2
- added no-overview@fthx extension

* Tue Jun 27 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.1-1
- update to 0.1.1
- drop org.gnome.Terminal.gschema.override

* Tue Jun 20 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1-1
- initial build for MSVSphere 9.2
